Bug 16086 - Add Koha::Issue objects.
Summary: Add Koha::Issue objects.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Sassmannshausen
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 6906 16870 17796
  Show dependency treegraph
 
Reported: 2016-03-17 12:25 UTC by Alex Sassmannshausen
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add Koha::Issue Objects (2.52 KB, patch)
2016-03-17 12:29 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Revised Issue Object Patch (2.52 KB, patch)
2016-04-04 13:47 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16086: Add Issues Koha object. (2.68 KB, patch)
2016-04-05 14:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16086: Add Issues Koha object. (2.74 KB, patch)
2016-04-06 12:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16086: Add tests for Koha::Issues (2.67 KB, patch)
2016-04-06 12:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Sassmannshausen 2016-03-17 12:25:34 UTC
This bug raises the prospect of adding the Koha::Issue objects.
Comment 1 Alex Sassmannshausen 2016-03-17 12:29:08 UTC Comment hidden (obsolete)
Comment 2 Alex Sassmannshausen 2016-03-18 18:36:15 UTC
Minor errors cause chaos in patch.  Needs fix.
Comment 3 Alex Sassmannshausen 2016-04-04 13:47:48 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2016-04-05 14:27:57 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-04-06 12:10:06 UTC
Created attachment 49955 [details] [review]
Bug 16086: Add Issues Koha object.

* Koha/Issue.pm: New file.
* Koha/Issues.pm: New file.

https://bugs.koha-community.org/show_bug.cgi?id=16086

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Nothing to test, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-04-06 12:10:12 UTC
Created attachment 49956 [details] [review]
Bug 16086: Add tests for Koha::Issues

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Brendan Gallagher 2016-04-07 05:35:45 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 8 Kyle M Hall 2016-06-24 18:10:34 UTC
Shouldn't this have been named Koha::Checkouts according to our terminology page?
Comment 9 Katrin Fischer 2016-07-03 17:33:25 UTC
Hm, good point. But renaming now would be best on a separate bug report!